"""
* Copyright (C) 2004-2016 Brocade Communications Systems, Inc.  
"""

from data.Data import *

class ConfigData(Data):
    """ Container for Configuration Data
    """

    def __init__(self):
        """This is the constructor. Initialize Config Data
        """
        self.verbose = None
        self.device = None
        self.manifest = None
        self.cf = None
        self.subdir = None
        self.stage = None
        self.user = None
        self.passwd = None

        self.max_retry = 10
        self.max_fails = 3

