"""
* Copyright (C) 2004-2016 Brocade Communications Systems, Inc.  
"""

import sys
import pexpect

class SCPSession(object):
    """sbsupgrd SSH sessions.
    """

    def __init__(self, config, state, src, dst, **kwds):
        """This is the constructor.
        """
        self.config = config
        self.state = state
        self.src = src
        self.dst = dst
        self.kwds = kwds

    def run(self):
        """SCP the file
        """

        command = "scp " + self.src + " " + self.config.user + "@" \
                  + self.config.device + ":" + self.config.cf \
                  + ":" + self.dst
          
        self.state.logging.info('SCPSession: command: ' + command)
 
#        pexpect.run(command, events={'(?i)password': self.config.passwd})


