"""
* Copyright (C) 2004-2016 Brocade Communications Systems, Inc.  
"""

from data.Data import *

class OperationalStateData(Data):
    """ Container for Operational Data
    """

    # Device Types
    CES_CER = 1
    XMR_MLX = 2

    def __init__(self):
        """This is the constructor. Initialize Operational Data
        """
        self.result = "SUCCESS"
        self.session = None
        self.device_type = None

        self.copy_failed = None
        self.count_copy_failed = 0

        self.sv_failed = None
        self.count_sv_failed = 0
 

